local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end


function onBegin()

  if getFlag("exitelevator") then

    disablePause()
    disableMovement()
    wait(0.5)

    doFadeWipe(false)
    wait(1.3)

    setFlag("exitelevator", false)
    setFlag("basilfollow", false)
    setFlag("outelevator")

  end

end